<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: summarize</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for agg {SparkR}"><tr><td>agg {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>summarize</h2>

<h3>Description</h3>

<p>Aggregates on the entire DataFrame without groups.
The resulting DataFrame will also contain the grouping columns.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'GroupedData'
agg(x, ...)

## S4 method for signature 'GroupedData'
summarize(x, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>a GroupedData</p>
</td></tr>
</table>


<h3>Details</h3>

<p>df2 &lt;- agg(df, &lt;column&gt; = &lt;aggFunction&gt;)
df2 &lt;- agg(df, newColName = aggFunction(column))
</p>


<h3>Value</h3>

<p>a DataFrame
</p>


<h3>See Also</h3>

<p>Other agg_funcs: <code><a href="approxCountDistinct.html">approxCountDistinct</a></code>,
<code><a href="approxCountDistinct.html">approxCountDistinct</a></code>,
<code><a href="approxCountDistinct.html">approxCountDistinct</a></code>; <code><a href="avg.html">avg</a></code>,
<code><a href="avg.html">avg</a></code>; <code><a href="countDistinct.html">countDistinct</a></code>,
<code><a href="countDistinct.html">countDistinct</a></code>, <code><a href="countDistinct.html">n_distinct</a></code>,
<code><a href="countDistinct.html">n_distinct</a></code>; <code><a href="nrow.html">count</a></code>,
<code><a href="count.html">n</a></code>, <code><a href="count.html">n</a></code>; <code><a href="first.html">first</a></code>,
<code><a href="first.html">first</a></code>; <code><a href="kurtosis.html">kurtosis</a></code>,
<code><a href="kurtosis.html">kurtosis</a></code>; <code><a href="last.html">last</a></code>,
<code><a href="last.html">last</a></code>; <code><a href="max.html">max</a></code>;
<code><a href="mean.html">mean</a></code>; <code><a href="min.html">min</a></code>; <code><a href="sd.html">sd</a></code>,
<code><a href="sd.html">sd</a></code>, <code><a href="sd.html">stddev</a></code>,
<code><a href="sd.html">stddev</a></code>; <code><a href="skewness.html">skewness</a></code>,
<code><a href="skewness.html">skewness</a></code>; <code><a href="stddev_pop.html">stddev_pop</a></code>,
<code><a href="stddev_pop.html">stddev_pop</a></code>; <code><a href="stddev_samp.html">stddev_samp</a></code>,
<code><a href="stddev_samp.html">stddev_samp</a></code>; <code><a href="sumDistinct.html">sumDistinct</a></code>,
<code><a href="sumDistinct.html">sumDistinct</a></code>; <code><a href="sum.html">sum</a></code>;
<code><a href="var_pop.html">var_pop</a></code>, <code><a href="var_pop.html">var_pop</a></code>;
<code><a href="var_samp.html">var_samp</a></code>, <code><a href="var_samp.html">var_samp</a></code>;
<code><a href="var.html">var</a></code>, <code><a href="var.html">var</a></code>,
<code><a href="var.html">variance</a></code>, <code><a href="var.html">variance</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
 df2 &lt;- agg(df, age = "sum")  # new column name will be created as 'SUM(age#0)'
 df3 &lt;- agg(df, ageSum = sum(df$age)) # Creates a new column named ageSum
 df4 &lt;- summarize(df, ageSum = max(df$age))

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
